Get Multi-Region
const url = 'https://example.com/topology/v1/engines/example/multi-regions/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/topology/v1/engines/example/multi-regions/exampleReturns a multi-region by its unique identifier, including its member regions.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The cloud provider, or - to resolve regardless of provider
The unique identifier of the multi-region to retrieve
Responses
Section titled “ Responses ”OK
Multi-Region
An administrator-defined grouping over zero or more regions. A region belongs to at most one multi-region. An empty multi-region (zero members) is valid.
object
The unique identifier of the multi-region
The DNS-label handle of the multi-region (create input)
A human-readable label for the multi-region
An optional description of the multi-region
The usability status of the multi-region
The cloud provider that backs the multi-region
The member regions of this multi-region (zero or more weak references)
The timestamp when the multi-region was created
The timestamp when the multi-region was last updated
Example
{ "status": "LOCATION_STATUS_UNSPECIFIED", "engine": "ENGINE_UNSPECIFIED"}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}